apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.appName }}-deployment
  labels:
    app: {{ .Values.appName }}
spec:
  replicas: {{ .Values.appReplicas }}
  selector:
    matchLabels:
      app: {{ .Values.appName }}
  template:
    metadata:
      labels:
        app: {{ .Values.appName }}
    spec:
      imagePullSecrets:
      - name: {{ .Values.dockersecretName }}
      containers:
      - name: {{ .Values.ContainerName }}
        image: "{{ .Values.appImage }}:{{ .Values.appVersion }}"
        imagePullPolicy: Always
        ports:
        - containerPort: {{ .Values.containerPort }}
        env:
          {{- range $key, $value := .Values.regularData }}
          - name: {{ $key }}
            value: {{ $value | quote }}
          {{- end}}
          {{- range $key, $value := .Values.secretData}}
          - name: {{ $key }}
            valueFrom:
              secretKeyRef:
                name: {{ $.Values.secretName }}
                key: {{ $key }}
          {{- end}}

          {{- range $key, $value := .Values.configData}}
          - name: {{ $key }}
            valueFrom:
              configMapKeyRef:
                name: {{ $.Values.configName }}
                key: {{ $key }}
          {{- end}}

